Tools

Two software packages are required for completion of course assignments: Java® and Eclipse. 1.00 will use the Eclipse Integrated Development Environment (IDE) to create, compile, and run Java® programming assignments. Students also need to install Java® 2 Platform, Standard Edition (J2SE 1.5.0) on their computers so they can program in Java® for the course. Below are guides to installing these packages on both Mac® and Windows® platforms.

How To: Install Eclipse for Windows® (PDF)

How To: Install Eclipse for Mac OS® X (PDF)

How To: Install Java® for Windows® (PDF)

How To: Install Java® for Mac OS® X (PDF)